# $Revision: 1.27 $, $Date: 2011/05/22 15:44:21 $
#
# Conditional build:
%bcond_with	libonly		# build package only with lib (needed bootstrap with ccs)
#
Summary:	General-purpose symmetric cluster manager
Summary(pl.UTF-8):	Zarządca symetrycznych klastrów ogólnego przeznaczenia
Name:		cman
Version:	2.03.10
Release:	2
License:	GPL v2
Group:		Applications/System
Source0:	ftp://sources.redhat.com/pub/cluster/releases/cluster-%{version}.tar.gz
# Source0-md5:	379b560096e315d4b52e238a5c72ba4a
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://sources.redhat.com/cluster/cman/
%{!?with_libonly:BuildRequires:	ccs-devel >= 2.03.10}
BuildRequires:	ncurses-devel
BuildRequires:	openais-devel < 1.0
BuildRequires:	perl-base
Requires:	%{name}-libs = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

# aliasing problems in qdisk/disk.c
%define		specflags	-fno-strict-aliasing

%description
MAN is a symmetric, general-purpose, kernel-based cluster manager. It
has two parts. Connection Manager (cnxman) handles membership,
messaging, quorum, event notification and transitions. Service Manager
(sm) handles "service groups" which are a general way of representing
and managing instances of external systems that require cluster
management. The CMAN cluster manager is the foundational system upon
which DLM, GFS, CLVM, and Fence all depend. The CMAN API in the kernel
and userspace is general and available for other programs to use.

%description -l pl.UTF-8
MAN to zarządca opartych na jądrze symetrycznych klastrów ogólnego
przeznaczenia. Składa się z dwóch części. Zarządca połączeń
(Connection Manager, cnxman) obsługuje członkostwo, komunikację,
kworum, powiadamianie o zdarzeniach i przejścia. Zarządca usług
(Service Manager, sm) obsługuje "grupy usług", które są ogólnym
sposobem reprezentacji i zarządzania instancjami zewnętrznych systemów
wymagających zarządzania klastrem. Zarządca klastrów CMAN to
podstawowy system, na którym polegają DLM, GFS, CLVM i Fence. API
CMAN-a w jądrze i przestrzeni użytkownika jest ogólne i w całości
dostępne do wykorzystania w innych programach.

%package libs
Summary:	CMAN library
Summary(pl.UTF-8):	Biblioteka CMAN
Group:		Libraries
Obsoletes:	gulm
Obsoletes:	gulm-devel
Obsoletes:	gulm-static
Obsoletes:	iddev
Obsoletes:	magma
Obsoletes:	magma-devel
Obsoletes:	magma-plugins
Obsoletes:	magma-static
Conflicts:	cman < 2.00.00-2

%description libs
CMAN library.

%description libs -l pl.UTF-8
Biblioteka CMAN.

%package devel
Summary:	CMAN header files
Summary(pl.UTF-8):	Pliki nagłówkowe CMAN
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}

%description devel
CMAN header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe CMAN.

%package static
Summary:	CMAN static library
Summary(pl.UTF-8):	Biblioteka statyczna CMAN
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
CMAN static library.

%description static -l pl.UTF-8
Biblioteka statyczna CMAN.

%prep
%setup -q -n cluster-%{version}

# there are warnings caused by some unused variables
%{__sed} -i -e 's/-Werror //' %{name}/qdisk/Makefile

%build
./configure \
	--cc="%{__cc}" \
	--cflags="%{rpmcflags} -Wall" \
	--ldflags="%{rpmldflags}" \
	--incdir=%{_includedir} \
	--ncursesincdir=%{_includedir}/ncurses \
	--libdir=%{_libdir} \
	--libexecdir=%{_libdir} \
	--mandir=%{_mandir} \
	--prefix=%{_prefix} \
	--sbindir=%{_sbindir} \
	--without_gfs \
	--without_gfs2 \
	--without_gnbd \
	--without_kernel_modules

%{__make} -C %{name}%{?with_libonly:/lib}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/sysconfig,/etc/rc.d/init.d}

%{__make} -C %{name}%{?with_libonly:/lib} install \
	DESTDIR=$RPM_BUILD_ROOT

%if %{without libonly}
install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}

%preun
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%if %{without libonly}
%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(754,root,root) /etc/rc.d/init.d/%{name}
# TODO: PLDify
#%attr(754,root,root) /etc/rc.d/init.d/qdiskd
%attr(755,root,root) %{_sbindir}/cman_tool
%attr(755,root,root) %{_sbindir}/mkqdisk
%attr(755,root,root) %{_sbindir}/qdiskd
%attr(755,root,root) %{_libdir}/lcrso/service_cman.lcrso
%{_mandir}/man5/cman.5*
%{_mandir}/man5/qdisk.5*
%{_mandir}/man8/cman_tool.8*
%{_mandir}/man8/mkqdisk.8*
%{_mandir}/man8/qdiskd.8*
%endif

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcman.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libcman.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcman.so
%{_includedir}/libcman.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libcman.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: cman.spec,v $
Revision 1.27  2011/05/22 15:44:21  qboosh
- workaround for -Werror combined with unused variable
- release 2

Revision 1.26  2011/05/22 15:13:52  qboosh
- updated configure options/optflags passing
- package ghost soname symlink

Revision 1.25  2011/02/04 23:19:37  sparky
- %description for correct %package

Revision 1.24  2010/12/28 19:58:05  pluto
- updated to 2.03.10.

Revision 1.23  2007/06/07 17:50:47  arekm
- rel 3; (after bootstrap)

Revision 1.22  2007/06/02 21:35:12  arekm
- bcond fixed

Revision 1.21  2007/04/06 10:43:04  qboosh
- Obsoletes: iddev

Revision 1.20  2007/04/06 10:35:44  glen
- conflicts before split

Revision 1.19  2007/04/06 09:51:06  qboosh
- Obsoletes: gulm* magma* (dropped in cluster 2)

Revision 1.18  2007/04/06 09:31:11  qboosh
- separated libs, so service is not required by -devel
- updated optflags setting, pass -fno-strict-aliasing

Revision 1.17  2007/04/05 07:11:45  glen
- ldconfig dep

Revision 1.16  2007/04/05 04:24:39  aredridel
- initial addition of initscripts

Revision 1.15  2007/04/02 18:21:06  zbyniu
- package service_cman.lcrso

Revision 1.14  2007/04/02 18:14:29  zbyniu
- up to 2.00.00; bcond libonly

Revision 1.13  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.12  2007/02/12 00:48:42  baggins
- converted to UTF-8

Revision 1.11  2006/09/11 18:24:40  qboosh
- package qdisk-related manuals

Revision 1.10  2006/09/04 01:19:30  zbyniu
- up to 1.03.00

Revision 1.9  2006/05/15 00:11:45  zbyniu
- up to 1.02.00

Revision 1.8  2005/11/08 19:57:39  qboosh
- don't include autogenerated symlink

Revision 1.7  2005/11/08 19:27:21  qboosh
- -devel/-static deps

Revision 1.6  2005/11/05 23:48:50  arekm
- up to 1.01.00

Revision 1.5  2005/04/14 23:00:38  qboosh
- package cnxman-socket.h as -devel

Revision 1.4  2005/04/14 22:44:41  qboosh
- updated to 1.0-pre32, use optflags
- added cnxman-socket.h from cman-kernel not to require patched kernel headers

Revision 1.3  2004/06/26 23:31:08  arekm
- fix URL

Revision 1.2  2004/06/25 16:32:56  qboosh
- pl

Revision 1.1  2004/06/25 10:30:57  arekm
- initial pld release
